MS07-040: Vulnerabilities in .NET Framework Could Allow Remote Code Execution (931212)

This script is Copyright (C) 2007-2013 Tenable Network Security, Inc.


Synopsis :

The remote .Net Framework is vulnerable to code execution attack.

Description :

The remote host is running a version of the ASP.NET framework that
contains multiple vulnerabilities :

- A PE Loader vulnerability could allow an attacker to
execute arbitrary code with the privileges of the
logged-on user.

- An ASP.NET NULL byte termination vulnerability could
allow an attacker to retrieve the content of the web
server.

- A JIT compiler vulnerability could allow an attacker to
execute arbitrary code with the privileges of the
logged-on user.

See also :

http://technet.microsoft.com/en-us/security/bulletin/MS07-040

Solution :

Microsoft has released a set of patches for .NET Framework 1.0, 1.1
and 2.0.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 7.3
(CVSS2#E:POC/RL:OF/RC:C)
Public Exploit Available : true

Family: Windows : Microsoft Bulletins

Nessus Plugin ID: 25691 ()

Bugtraq ID: 20753
24778
24791
24811

CVE ID: CVE-2006-7192
CVE-2007-0041
CVE-2007-0042
CVE-2007-0043